LNMP PHP升级脚本

作者:笨小孩 发布于:2019-7-5 10:48 分类:环境架设

升级PHP前,请确认你的网站程序是否支持升级到的PHP版本,防止升级到网站程序不兼容的PHP版本,具体可以去你使用的PHP程序的官网查询相关版本支持信息。v1.3及以后版本大部分情况下也可以进行降级操作。
执行:./upgrade.sh php 到http://www.php.net/downloads.php 获取版本号,输入版本号,如5.3.28 回车,再次回车确认即可开始升级。
如需要编译其他参数可以,lnmp 1.3及以后版本版可以修改lnmp.conf配置文件里的 PHP_Modules_Options 参数的引号里加其他需要的参数。
lnmp 1.2版修改include/upgrade_php.sh文件
在PHP_Modules_Arguments="" 参数的双引号里添加需要的其他模块,多个模块参数空格隔开,然后再运行升级即可。
升级完PHP如果phpmyadmin可能会无法使用,需要升级phpmyadmin至对于php和mysql版本的phpmyadmin版本。
如果升级失败可下载并压缩 /root/upgrade_lnmp_php日期.log 日志去https://bbs.vpser.net 论坛进行反馈。
如果要恢复原PHP,将 /usr/local/ 下 oldphp日志 的目录重命名为 php 并,将/usr/local/oldphp日期/init.d.php-fpm.bak.日期 的文件拷贝到/etc/init.d/ 目录下重命名为 php-fpm 即可恢复。

标签: php lnmp

发表评论:

手机版 | 
Copyright © 2012 lamp46.com All Right Reserved. sitemap